package com.nokia.dao;

import java.util.List;

import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import com.nokia.pojo.Role;

@SpringBootTest
public class RoleDaoTest {

    @Autowired
    private RoleDao roleDao;

    @Test
    void testFindByUserId() {
        List<Role> roles = roleDao.findByUserId(10);
        System.out.println(roles);
    }

    @Test
    void testFindRoleNameLike() {
        List<Role> roles = roleDao.findRoleNameLike("工单");
        System.out.println(roles);
    }
}